SET NOCOUNT ON
IF NOT EXISTS(
	SELECT 
		ID 
	FROM 
		SYSOBJECTS 
	WHERE 
		NAME = 'EST_ORC_CPL' AND XTYPE = 'U')
BEGIN
	SET NOCOUNT OFF
	RAISERROR('A TABELA NA QUAL O CAMPO SERÁ ADICIONADO NÃO FOI ENCONTRADA NO BANCO DE DADOS.',16,1)
END

ELSE
BEGIN
	IF NOT EXISTS (
		SELECT
			* 
		FROM 
			SYSCOLUMNS 
		WHERE 
			NAME = 'NR_AUTR_PBM_ITEM'
			AND ID IN (
				SELECT 
					ID 
				FROM 
					SYSOBJECTS 
				WHERE 
					NAME = 'EST_ORC_CPL' AND XTYPE = 'U'))

		BEGIN
			ALTER TABLE EST_ORC_CPL ADD NR_AUTR_PBM_ITEM VARCHAR(50) NULL

		END
	SET NOCOUNT OFF
	PRINT 'CAMPO NR_AUTR_PBM_ITEM NA TABELA EST_ORC_CPL INSERIDO COM SUCESSO '
END